//led.c
#include <iolpc2129.h>
#include "led.h"

//it's a simple delay
void Delay (unsigned long a) {
  while (--a!=0);
}

// init led port
void LedInit(void) {
  IO1DIR_bit.P1_25 = 1;    //set port0.31 to output
  PINSEL2 = 0x4;
}

// single blink
void LedBlink(void) {
  IO1CLR_bit.P1_25 = 1;    //on led
  Delay(500000);           //delay
  IO1SET_bit.P1_25 = 1;    //off led
  Delay(500000);           //delay
}

// turn on led
void LedOn(void) {
  IO1CLR_bit.P1_25 = 1;    //on led
}

// turn off led
void LedOff(void) {
  IO1SET_bit.P1_25 = 1;    //off led
}

